<div class="rounded border border-2 w-100 p-2">
  <div class="container">
    <h1>CONFIGURACIÓN DE PERMISOS POR ROL</h1>
    <form [formGroup]="form" autocomplete="off">        
      <div class="row">
          <div class="col-3">
            <div class="row">
              <mat-form-field class="w-100" appearance="fill">
                <mat-label>Rol : </mat-label>
                <mat-select formControlName="rol" (selectionChange)="onChanged()">
                    <mat-option value=0>-- Seleccione --</mat-option>                    
                    <mat-option *ngFor="let rol of roles" [value]="rol.idrol">
                      {{rol.nombre}}
                  </mat-option>                             
                </mat-select>
  
                <mat-error *ngIf="form.controls['rol'].hasError('required')" class="form-control-feedback">
                    Rol es requerido
                </mat-error>
              </mat-form-field>
            </div>
            <div class="row">
              <button mat-button color="primary" (click)="guardarPermisos()">Guardar</button>
            </div>
              
          </div>
          <div class="col-9">
            <ul *ngFor="let group of recursos; index as i">
              <span class="font-weight-bold text-primary">{{group.nombre}}</span>
              <li *ngFor="let item of group.recursos; index as j">
                <span class="cursor-pointer caret"
                  [ngClass]="item.expand ? 'fas fa-caret-down' : 'fas fa-caret-right'"
                  (click)="item.expand = !item.expand"></span>
                <span class="mx-1" [ngClass]="item.checked ? 'fas fa-check-square' : 
                  (checkMinusSquare(item) ? 'fas fa-minus-square' : 'far fa-square')"
                  (click)="checkParent(i, j)">
                </span>
                <span class="cursor-pointer" style="padding-left: 5px" (click)="item.expand = !item.expand">{{item.nombre}}</span>
                <ul [class.d-none]="!item.expand">
                  <li *ngFor="let child of item.recursos; index as k">
                    <span class="mr-1" [ngClass]="child.checked ? 'fas fa-check-square' : 'far fa-square'"
                      (click)="checkChild(i, j, k)">
                    </span>
                    <span class="cursor-pointer" style="padding-left: 5px" (click)="checkChild(i, j, k)">{{child.nombre}}</span>
                  </li>
                </ul>
              </li>
            </ul>
          </div>                     
      </div>
      
          
    </form>  
  </div> 
  
</div>
